{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "apps",
  "projects": {
    "ui": {
      "root": "libs/ui",
      "sourceRoot": "libs/ui",
      "projectType": "library",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "libs/ui/tsconfig.lib.json",
            "project": "libs/ui/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "libs/ui/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "libs/ui/src/test.ts",
            "tsConfig": "libs/ui/tsconfig.spec.json",
            "karmaConfig": "libs/ui/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "libs/ui/tsconfig.lib.json",
              "libs/ui/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "sales": {
      "root": "apps/sales/",
      "sourceRoot": "apps/sales/src",
      "projectType": "application",
      "prefix": "app",
      "schematics": {},
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "aot": true,
            "outputPath": "dist/sales",
            "outputHashing": "all",
            "index": "apps/sales/src/index.html",
            "main": "apps/sales/src/main.ts",
            "polyfills": "apps/sales/src/polyfills.ts",
            "tsConfig": "apps/sales/tsconfig.app.json",
            "assets": [
              "apps/sales/src/favicon.ico",
              "apps/sales/src/assets",
              "apps/sales/src/manifest.webmanifest",
              "apps/sales/src/browserconfig.xml",
              "apps/sales/src/silent-refresh.html"
            ],
            "styles": [
              "apps/sales/src/styles.scss"
            ],
            "stylePreprocessorOptions": {
              "includePaths": [
                "apps/sales/src/scss"
              ]
            },
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "apps/sales/src/environments/environment.ts",
                  "with": "apps/sales/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ],
              "serviceWorker": true
            },
            "development": {
              "budgets": [
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ]
}
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "sales:build"
          },
          "configurations": {
            "test": {
              "browserTarget": "sales:build:test"
            },
            "integration": {
              "browserTarget": "sales:build:integration"
            },
            "staging": {
              "browserTarget": "sales:build:staging"
            },
            "production": {
              "browserTarget": "sales:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "sales:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/sales/src/test.ts",
            "polyfills": "apps/sales/src/polyfills.ts",
            "tsConfig": "apps/sales/tsconfig.spec.json",
            "karmaConfig": "apps/sales/karma.conf.js",
            "styles": [
              "apps/sales/src/styles.scss"
            ],
            "stylePreprocessorOptions": {
              "includePaths": [
                "apps/sales/src/scss"
              ]
            },
            "scripts": [],
            "assets": [
              "apps/sales/src/favicon.ico",
              "apps/sales/src/assets",
              "apps/sales/src/manifest.webmanifest"
            ]
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/sales/tsconfig.app.json",
              "apps/sales/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "sales-e2e": {
      "root": "apps/sales-e2e/",
      "projectType": "application",
      "prefix": "",
      "architect": {
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "apps/sales-e2e/protractor.conf.js",
            "devServerTarget": "sales:serve"
          },
          "configurations": {
            "integration": {
              "devServerTarget": "sales:serve:integration"
            },
            "production": {
              "devServerTarget": "sales:serve:production"
            }
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": "apps/sales-e2e/tsconfig.e2e.json",
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "sso": {
      "root": "libs/sso",
      "sourceRoot": "libs/sso/src",
      "projectType": "library",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "libs/sso/tsconfig.lib.json",
            "project": "libs/sso/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "libs/sso/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "libs/sso/src/test.ts",
            "tsConfig": "libs/sso/tsconfig.spec.json",
            "karmaConfig": "libs/sso/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "libs/sso/tsconfig.lib.json",
              "libs/sso/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "@swagger/availability": {
      "root": "apps/swagger/availability",
      "sourceRoot": "apps/swagger/availability/src",
      "projectType": "library",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "apps/swagger/availability/tsconfig.lib.json",
            "project": "apps/swagger/availability/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "apps/swagger/availability/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/swagger/availability/src/test.ts",
            "tsConfig": "apps/swagger/availability/tsconfig.spec.json",
            "karmaConfig": "apps/swagger/availability/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/swagger/availability/tsconfig.lib.json",
              "apps/swagger/availability/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "@swagger/checkout": {
      "root": "apps/swagger/checkout",
      "sourceRoot": "apps/swagger/checkout/src",
      "projectType": "library",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "apps/swagger/checkout/tsconfig.lib.json",
            "project": "apps/swagger/checkout/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "apps/swagger/checkout/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/swagger/checkout/src/test.ts",
            "tsConfig": "apps/swagger/checkout/tsconfig.spec.json",
            "karmaConfig": "apps/swagger/checkout/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/swagger/checkout/tsconfig.lib.json",
              "apps/swagger/checkout/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "@swagger/crm": {
      "root": "apps/swagger/crm",
      "sourceRoot": "apps/swagger/crm/src",
      "projectType": "library",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "apps/swagger/crm/tsconfig.lib.json",
            "project": "apps/swagger/crm/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "apps/swagger/crm/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/swagger/crm/src/test.ts",
            "tsConfig": "apps/swagger/crm/tsconfig.spec.json",
            "karmaConfig": "apps/swagger/crm/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/swagger/crm/tsconfig.lib.json",
              "apps/swagger/crm/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "@swagger/isa": {
      "root": "apps/swagger/isa",
      "sourceRoot": "apps/swagger/isa/src",
      "projectType": "library",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "apps/swagger/isa/tsconfig.lib.json",
            "project": "apps/swagger/isa/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "apps/swagger/isa/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/swagger/isa/src/test.ts",
            "tsConfig": "apps/swagger/isa/tsconfig.spec.json",
            "karmaConfig": "apps/swagger/isa/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/swagger/isa/tsconfig.lib.json",
              "apps/swagger/isa/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "@swagger/oms": {
      "root": "apps/swagger/oms",
      "sourceRoot": "apps/swagger/oms/src",
      "projectType": "library",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "apps/swagger/oms/tsconfig.lib.json",
            "project": "apps/swagger/oms/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "apps/swagger/oms/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/swagger/oms/src/test.ts",
            "tsConfig": "apps/swagger/oms/tsconfig.spec.json",
            "karmaConfig": "apps/swagger/oms/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/swagger/oms/tsconfig.lib.json",
              "apps/swagger/oms/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "@swagger/print": {
      "root": "apps/swagger/print",
      "sourceRoot": "apps/swagger/print/src",
      "projectType": "library",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "apps/swagger/print/tsconfig.lib.json",
            "project": "apps/swagger/print/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "apps/swagger/print/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/swagger/print/src/test.ts",
            "tsConfig": "apps/swagger/print/tsconfig.spec.json",
            "karmaConfig": "apps/swagger/print/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/swagger/print/tsconfig.lib.json",
              "apps/swagger/print/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "@swagger/cat": {
      "root": "apps/swagger/cat",
      "sourceRoot": "apps/swagger/cat/src",
      "projectType": "library",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "apps/swagger/cat/tsconfig.lib.json",
            "project": "apps/swagger/cat/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "apps/swagger/cat/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/swagger/cat/src/test.ts",
            "tsConfig": "apps/swagger/cat/tsconfig.spec.json",
            "karmaConfig": "apps/swagger/cat/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/swagger/cat/tsconfig.lib.json",
              "apps/swagger/cat/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "@swagger/eis": {
      "projectType": "library",
      "root": "apps/swagger/eis",
      "sourceRoot": "apps/swagger/eis/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "apps/swagger/eis/tsconfig.lib.json",
            "project": "apps/swagger/eis/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "apps/swagger/eis/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/swagger/eis/src/test.ts",
            "tsConfig": "apps/swagger/eis/tsconfig.spec.json",
            "karmaConfig": "apps/swagger/eis/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/swagger/eis/tsconfig.lib.json",
              "apps/swagger/eis/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "native-container": {
      "projectType": "library",
      "root": "apps/native-container",
      "sourceRoot": "apps/native-container/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "apps/native-container/tsconfig.lib.json",
            "project": "apps/native-container/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "apps/native-container/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/native-container/src/test.ts",
            "tsConfig": "apps/native-container/tsconfig.spec.json",
            "karmaConfig": "apps/native-container/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/native-container/tsconfig.lib.json",
              "apps/native-container/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "@isa/remission": {
      "projectType": "library",
      "root": "apps/isa/remission",
      "sourceRoot": "apps/isa/remission/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "apps/isa/remission/tsconfig.lib.json",
            "project": "apps/isa/remission/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "apps/isa/remission/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/isa/remission/src/test.ts",
            "tsConfig": "apps/isa/remission/tsconfig.spec.json",
            "karmaConfig": "apps/isa/remission/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/isa/remission/tsconfig.lib.json",
              "apps/isa/remission/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "@domain/crm": {
      "projectType": "library",
      "root": "apps/domain/crm",
      "sourceRoot": "apps/domain/crm/src",
      "prefix": "crm",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "apps/domain/crm/tsconfig.lib.json",
            "project": "apps/domain/crm/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "apps/domain/crm/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/domain/crm/src/test.ts",
            "tsConfig": "apps/domain/crm/tsconfig.spec.json",
            "karmaConfig": "apps/domain/crm/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/domain/crm/tsconfig.lib.json",
              "apps/domain/crm/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "@domain/checkout": {
      "projectType": "library",
      "root": "apps/domain/checkout",
      "sourceRoot": "apps/domain/checkout/src",
      "prefix": "checkout",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "apps/domain/checkout/tsconfig.lib.json",
            "project": "apps/domain/checkout/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "apps/domain/checkout/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "apps/domain/checkout/src/test.ts",
            "tsConfig": "apps/domain/checkout/tsconfig.spec.json",
            "karmaConfig": "apps/domain/checkout/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "apps/domain/checkout/tsconfig.lib.json",
              "apps/domain/checkout/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    }
  },
  "defaultProject": "sales"
}